﻿@model MIMS.Portal.ViewModels.NewsViewModel
@using MIMS.Portal.Core.Domains;

@{
    ViewData["Title"] = "تعریف خبر";
}

<form method="post">
    <div class="card">
        <div class="card-header">
            <h4 class="card-title">محتوای خبر</h4>
        </div>
        <div class="card-body">
            <div class="card-block">
                <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                
                <div class="form">
                    <div class="form-body">
                        <div class="row">
                            <div class="col-md-9">
                                <div class="form-group">
                                    <label asp-for="Title" class="control-label"></label>
                                    <span asp-validation-for="Title" class="text-danger"></span>
                                    <input asp-for="Title" asp-description-for="Title" class="form-control" />

                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="Type" class="control-label"></label>
                                    <span asp-validation-for="Type" class="text-danger"></span>
                                    <select asp-for="Type" asp-description-for="Type" class="form-control" asp-items="@Html.GetEnumSelectList<MIMS.Portal.ValueObjects.Enum.NewsType>().OrderBy(i=>i.Text)">
                                        <option selected value="">--</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label asp-for="Body" class="control-label"></label>
                                    <span asp-validation-for="Body" class="text-danger"></span>
                                    <textarea asp-for="Body" asp-description-for="Body" class="form-control" rows="5"></textarea>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
        <div class="card-footer">
                <button type="submit" class="btn btn-primary btn-min-width">
                    <i class="icon-check2"></i>
                    ثبت
                </button>
        </div>
    </div>
</form>

@section Scripts{
    <script src="~/js/dropdown.js"></script>
}

